nodes['htz.ex42-1048908'] = {
    'bundles': {
        'check-mail-received',
        'lm-sensors',
        'postgresql',
        'smartd',
        'vmhost',
    },
    'groups': {
        'debian-buster',
        'webserver',
    },
    'metadata': {
        'interfaces': {
            'enp0s31f6': {
                'ips': {
                    '94.130.52.224/26',
                    '2a01:4f8:10b:2a5f::02/64',
                    '2a01:4f8:10b:2a5f::1337/64',
                },
                'gateway4': '94.130.52.193',
                'gateway6': 'fe80::1',
            },
        },
        'check-mail-received': {
            't-online': {
                'email': 'franzi.kunsmann@t-online.de',
                'imap_host': 'secureimap.t-online.de',
                'imap_pass': bwpass.attr('t-online.de/franzi.kunsmann@t-online.de', 'imap'),
            },
        },
        'icinga_options': {
            'pretty_name': 'kunsmann.eu',
        },
        'locale': {
            'installed': {
                # legacy
                'en_DK.UTF-8',
            },
        },
        'nftables': {
            'rules': {
                'input': {
                    'libvirt': [
                        'tcp dport 53 iif virbr0 accept',
                        'udp dport 53 iif virbr0 accept',
                        'udp dport { 67, 68 } iif virbr0 accept',
                    ],
                },
                'forward': {
                    'libvirt': [
                        'iif virbr0 accept',
                        'oif virbr0 accept',
                    ],
                },
                'nat_postrouting': {
                    'oif enp0s31f6 masquerade',
                },
            },
        },
        'nginx': {
            'security.txt': {
                'contact': 'mailto:security@kunsmann.eu',
                'Encryption': 'https://franzi.business/gpg_hi-kunsmann.eu.asc',
            },
            'vhosts': {
                'dav.kunsmann.eu': {
                    'locations': {
                        '/': {
                            'redirect': 'https://radicale.franzi.business$request_uri',
                        },
                    },
                },
                'git.kunsmann.eu': {
                    'locations': {
                        '/': {
                            'redirect': 'https://git.franzi.business$request_uri',
                        },
                    },
                },
                'paste.kunsmann.eu': {
                    'locations': {
                        '/': {
                            'redirect': 'https://paste.franzi.business$request_uri',
                        },
                    },
                },
                'vliedel.random.franzi.business': {
                    'webroot_config': {
                        'mode': '0775',
                        'owner': 'vliedel',
                        'group': 'vliedel',
                    },
                },
            },
            'worker_processes': 4,
        },
        'rspamd': {
            'ignore_spam_check_for_ips': {
                # entropia
                ## hetzner (legacy)
                '188.40.158.213',
                '188.40.158.214',
                '188.40.158.218',
                '2a01:4f8:221:2f83:2130::2',
                '2a01:4f8:221:2f83:2140::2',
                '2a01:4f8:221:2f83:2180::2',
                # yolocolo
                '45.140.180.32/27', # Entropia e. V.
                '45.140.180.112/28', # MicroPOC
                '2a0e:c5c0:0:201::/64', # Entropia e. V.
                '2a0e:c5c0:0:307::/64', # MicroPOC

                # ccc
                '212.12.55.65',
                '212.12.55.67',
                '2a00:14b0:4200:3000:23:55:0:65',

                # IN-Berlin mailman
                '130.133.8.35',
                '192.109.42.28',
                '192.109.42.122',
                '193.29.188.9',
                '217.197.80.23',
                '217.197.80.134',
                '2001:bf0:c000:a::2:134',

                # RaumZeitLabor
                '5.9.77.39',
                '2a01:4f8:161:9025:4::/64',

                # c3voc
                '185.106.84.32/26',
                '2001:67c:20a0:e::/64',
            },
            'password': bwpass.password('rspamd.mx0.kunbox.net'),
        },
        'smartd': {
            'disks': {
                '/dev/nvme0',
                '/dev/nvme1',
            },
        },
        'systemd': {
            'journal': {
                # should last about 9 days
                'maxuse': '2G',
            },
        },
        'users': {
            'kunsi': {
                'enable_linger': True,
                'groups': [
                    'libvirt',
                ],
            },
        },
        'vm': {
            'cpu': 8,
            'ram': 64,
        },
    },
}
